diff --git a/src/iotjs_binding_helper.c b/src/iotjs_binding_helper.c
index 221df76d7..2286677cd 100644
--- a/src/iotjs_binding_helper.c
+++ b/src/iotjs_binding_helper.c
@@ -115,7 +115,8 @@ jerry_value_t iotjs_make_callback_with_result(jerry_value_t jfunction,
                                               const iotjs_jargs_t* jargs) {
   // Calls back the function.
   jerry_value_t jres = iotjs_jhelper_call(jfunction, jthis, jargs);
-  if (jerry_value_has_error_flag(jres)) {
+  iotjs_environment_t* env = iotjs_environment_get();
+  if (jerry_value_has_error_flag(jres) && !iotjs_environment_is_exiting(env)) {
     jerry_value_t errval = jerry_get_value_without_error_flag(jres);
     iotjs_uncaught_exception(errval);
     jerry_release_value(errval);
diff --git a/test/run_fail/test-issue-1349.js b/test/run_fail/test-issue-1349.js
new file mode 100644
index 000000000..790b1a736
--- /dev/null
+++ b/test/run_fail/test-issue-1349.js
@@ -0,0 +1,18 @@
+/* Copyright 2017-present Samsung Electronics Co., Ltd. and other contributors
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License");
+ * you may not use this file except in compliance with the License.
+ * You may obtain a copy of the License at
+ *
+ *     http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS
+ * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ * See the License for the specific language governing permissions and
+ * limitations under the License.
+ */
+
+var dns = require( 'dns' );
+var assert = require( 'assert' );
+assert.throws(function ( ) { dns.lookup ('localhost', require) } );
diff --git a/test/testsets.json b/test/testsets.json
index 741c15c79..7dc32a908 100644
--- a/test/testsets.json
+++ b/test/testsets.json
@@ -123,6 +123,7 @@
     { "name": "test_fs_callbacks_called.js", "expected-failure": true },
     { "name": "test_iotjs_runtime_error.js", "expected-failure": true },
     { "name": "test_iotjs_syntax_error.js", "expected-failure": true },
+		{ "name": "test-issue-1349.js", "expected-failure": true},
     { "name": "test_module_require_invalid_file.js", "expected-failure": true },
     { "name": "test_module_require_path_below_root.js", "expected-failure": true },
     { "name": "test_process_exitcode_arg.js", "expected-failure": true },
